<template>
  <div id="app">
    <navigation-bar></navigation-bar>
    <background-image></background-image>
    <booking-section></booking-section>
    <gallery-swiper :gallery="gallery"></gallery-swiper>
    <article-card :article="article" :version="0"></article-card>
    <article-card :article="article" :version="1"></article-card>
    <rooms-swiper :rooms="rooms"></rooms-swiper>
    <article-card :article="article" :version="0"></article-card>
    <surfspots-list></surfspots-list>
    <gallery-swiper :gallery="gallery"></gallery-swiper>
    <article-card size="large" :article="videoArticle" :version="0" media-type="video"></article-card>
    <article-card size="large" :article="article" :version="1" media-type="image"></article-card>
    <article-tabs></article-tabs>
    <gallery-swiper :gallery="gallery"></gallery-swiper>
    <impax-pros></impax-pros>
    <article-tabs></article-tabs>
    <reviews-swiper></reviews-swiper>
    <faqs-section></faqs-section>
    <operator-signature :operator="operator"></operator-signature>
    <subscription-box></subscription-box>
    <social-media></social-media>
    <impax-footer></impax-footer> 
  </div>
</template>

<script>
import offersSwiper from './components/offers-swiper'
import roomsSwiper from './components/rooms-swiper'
import articleCard from './components/article-card'
import navigationBar from './components/navigation-bar'
import gallerySwiper from './components/gallery-swiper'
import surfspotsList from './components/surfspots-list'
import backgroundImage from './components/background-image'
import bookingForm from './components/booking-form'
import bookingSection from './components/booking-section'
import impaxPros from './components/impax-pros'
import articleTabs from './components/article-tabs'
import reviewsSwiper from './components/reviews-swiper'
import faqsSection from './components/faqs-section'
import operatorSignature from './components/operator-signature'
import subscriptionBox from './components/subscription-box'
import socialMedia from './components/social-media'
import impaxFooter from './components/impax-footer'

export default {
  name: 'App',
  components: {
    offersSwiper,
    roomsSwiper,
    articleCard,
    navigationBar,
    gallerySwiper,
    surfspotsList,
    backgroundImage,
    bookingForm,
    bookingSection,
    impaxPros,
    articleTabs,
    reviewsSwiper,
    faqsSection,
    operatorSignature,
    subscriptionBox,
    socialMedia,
    impaxFooter
},
  data(){
    return {
      offers : [
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 420, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 3, ratings_num: 120, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 420, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 520, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 420, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 3, ratings_num: 420, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 420, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 2, ratings_num: 360, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
        {region: "subregion", city: "city", destination : "name of destination", description: "80 €/night • Description long and maybe even longer and longer and longer and longer", ratings: 4, ratings_num: 116, category: "surf camp", image: "https://picsum.photos/200/300/?random"},
      ],
      rooms: [
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
        {title: "Surfer Kabine", features: ['1x Doppel Bett', 'Max 2. Personen','Gelteiltes Badezimmer','Gratis Kaffee & Tee','Handtücher', 'WiFi'], price: 15, image:'https://picsum.photos/200/300/?random'},
      ],
      article :{
        description: 'Beginner, Intermidiate, Advanced out messenger bag, keffiyeh lyft master cleanse next level banjo biodiesel kogi chillwave vexillologist street art, Proident gastropub mollit skateboard do seitan lomo pour-over.…',
        title : 'Surfunterricht',
        thumbnail: 'https://media1.rrl360.com/product/0001/01/thumb_228_default.jpg@!p_m_h_300.jpg'
      },
      videoArticle :{
        description: 'Beginner, Intermidiate, Advanced out messenger bag, keffiyeh lyft master cleanse next level banjo biodiesel kogi chillwave vexillologist street art, Proident gastropub mollit skateboard do seitan lomo pour-over.…',
        title : 'Surfunterricht',
        video: 'https://ak3.picdn.net/shutterstock/videos/1012649903/preview/stock-footage-attractive-surfer-girl-surfing-a-wave-during-the-day-shot-with-a-red-camera-k-footage.webm'
      },
      gallery:[
        'https://picsum.photos/200/300/?random',
        'https://picsum.photos/200/300/?random',
        'https://picsum.photos/200/300/?random',
        'https://picsum.photos/200/300/?random',
        'https://picsum.photos/200/300/?random',
      ],
      operator:{
        company: 'Blub GmbH',
        regency: 'Central Lombok Regency',
        location: '83573, Indonesia'
      }
    }
  }
}
</script>

<style>
body{
  margin: 0;
}

#app{
  
}
</style>
